For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
      • GETGet IANA timezone for coordinates
        • POSTScheduled Temporal ping
        • POSTPing OpenAI
        • POSTTemporal ping
        • GETUser ID
        • GETUser ID
        • GETCredential info
        • GETUser email
        • GETGet template
        • POSTCreate template
        • GETDeployment git info
LogoLogo
GithubSign up
API ReferenceUtilsDev

User ID

GET
/dev/user_id/v1
GET
/dev/user_id/v1
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.utils.dev.getUserIdV1();
8}
9main();
200Retrieved
1"user_987654321"

(DEPRECATED) Extracts and returns the user ID from the authenticated request’s JWT token. | () -> (str)

Was this page helpful?
Previous

User ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful Response